﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MapEd
{
    public partial class TileSelector : Form
    {
        private int selected;

        public TileSelector(TileStrip tiles)
        {
            InitializeComponent();

            listView.SmallImageList = new ImageList();

            listView.SmallImageList.Images.AddRange(tiles.Images);

            for(int f = 0 ; f < tiles.Count ; f++)
            {
                listView.Items.Add(string.Empty, f);
            }
        }

        public int SelectedTile
        {
            get
            {
                return selected;
            }
        }

        private void OnDoubleClick(object sender, EventArgs e)
        {
            selected = listView.SelectedIndices[0];
            DialogResult = DialogResult.OK;
            Close();
        }
    }
}
